<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>BasicDataSourceMXBean (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BasicDataSourceMXBean (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":18,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6,"i26":6,"i27":6,"i28":6,"i29":6,"i30":6,"i31":6,"i32":6,"i33":6,"i34":6,"i35":6,"i36":6,"i37":6,"i38":6,"i39":18,"i40":6,"i41":6,"i42":18,"i43":18};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],16:["t5","Default Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BasicDataSourceMXBean.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceFactory.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/dbcp2/BasicDataSourceMXBean.html" target="_top">Frames</a></li>
<li><a href="BasicDataSourceMXBean.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.dbcp2</div>
<h2 title="Interface BasicDataSourceMXBean" class="title">Interface BasicDataSourceMXBean</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html" title="class in org.apache.commons.dbcp2">BasicDataSource</a>, <a href="../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html" title="class in org.apache.commons.dbcp2.managed">BasicManagedDataSource</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">BasicDataSourceMXBean</span></pre>
<div class="block">Defines the methods that will be made available via JMX.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t5" class="tableTab"><span><a href="javascript:show(16);">Default Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getAbandonedUsageTracking--">getAbandonedUsageTracking</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getAbandonedUsageTracking--"><code>BasicDataSource.getAbandonedUsageTracking()</code></a></div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getCacheState--">getCacheState</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getCacheState--"><code>BasicDataSource.getCacheState()</code></a></div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getConnectionInitSqlsAsArray--">getConnectionInitSqlsAsArray</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getConnectionInitSqlsAsArray--"><code>BasicDataSource.getConnectionInitSqlsAsArray()</code></a></div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getDefaultAutoCommit--">getDefaultAutoCommit</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultAutoCommit--"><code>BasicDataSource.getDefaultAutoCommit()</code></a></div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getDefaultCatalog--">getDefaultCatalog</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultCatalog--"><code>BasicDataSource.getDefaultCatalog()</code></a></div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getDefaultReadOnly--">getDefaultReadOnly</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultReadOnly--"><code>BasicDataSource.getDefaultReadOnly()</code></a></div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>default <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getDefaultSchema--">getDefaultSchema</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultSchema--"><code>BasicDataSource.getDefaultSchema()</code></a></div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getDefaultTransactionIsolation--">getDefaultTransactionIsolation</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultTransactionIsolation--"><code>BasicDataSource.getDefaultTransactionIsolation()</code></a></div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getDisconnectionSqlCodesAsArray--">getDisconnectionSqlCodesAsArray</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDisconnectionSqlCodesAsArray--"><code>BasicDataSource.getDisconnectionSqlCodesAsArray()</code></a></div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getDriverClassName--">getDriverClassName</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDriverClassName--"><code>BasicDataSource.getDriverClassName()</code></a></div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getFastFailValidation--">getFastFailValidation</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getFastFailValidation--"><code>BasicDataSource.getFastFailValidation()</code></a></div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getInitialSize--">getInitialSize</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getInitialSize--"><code>BasicDataSource.getInitialSize()</code></a></div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getLifo--">getLifo</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getLifo--"><code>BasicDataSource.getLifo()</code></a></div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getLogAbandoned--">getLogAbandoned</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getLogAbandoned--"><code>BasicDataSource.getLogAbandoned()</code></a></div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getLogExpiredConnections--">getLogExpiredConnections</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getLogExpiredConnections--"><code>BasicDataSource.getLogExpiredConnections()</code></a></div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getMaxConnLifetimeMillis--">getMaxConnLifetimeMillis</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxConnLifetimeMillis--"><code>BasicDataSource.getMaxConnLifetimeMillis()</code></a></div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getMaxIdle--">getMaxIdle</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxIdle--"><code>BasicDataSource.getMaxIdle()</code></a></div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getMaxOpenPreparedStatements--">getMaxOpenPreparedStatements</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxOpenPreparedStatements--"><code>BasicDataSource.getMaxOpenPreparedStatements()</code></a></div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getMaxTotal--">getMaxTotal</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxTotal--"><code>BasicDataSource.getMaxTotal()</code></a></div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getMaxWaitMillis--">getMaxWaitMillis</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxWaitMillis--"><code>BasicDataSource.getMaxWaitMillis()</code></a></div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getMinEvictableIdleTimeMillis--">getMinEvictableIdleTimeMillis</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMinEvictableIdleTimeMillis--"><code>BasicDataSource.getMinEvictableIdleTimeMillis()</code></a></div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getMinIdle--">getMinIdle</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMinIdle--"><code>BasicDataSource.getMinIdle()</code></a></div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getNumActive--">getNumActive</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getNumActive--"><code>BasicDataSource.getNumActive()</code></a></div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getNumIdle--">getNumIdle</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getNumIdle--"><code>BasicDataSource.getNumIdle()</code></a></div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getNumTestsPerEvictionRun--">getNumTestsPerEvictionRun</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getNumTestsPerEvictionRun--"><code>BasicDataSource.getNumTestsPerEvictionRun()</code></a></div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getPassword--">getPassword</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getPassword--"><code>BasicDataSource.getPassword()</code></a></div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getRemoveAbandonedOnBorrow--">getRemoveAbandonedOnBorrow</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getRemoveAbandonedOnBorrow--"><code>BasicDataSource.getRemoveAbandonedOnBorrow()</code></a></div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getRemoveAbandonedOnMaintenance--">getRemoveAbandonedOnMaintenance</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getRemoveAbandonedOnMaintenance--"><code>BasicDataSource.getRemoveAbandonedOnMaintenance()</code></a></div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getRemoveAbandonedTimeout--">getRemoveAbandonedTimeout</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getRemoveAbandonedTimeout--"><code>BasicDataSource.getRemoveAbandonedTimeout()</code></a></div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getSoftMinEvictableIdleTimeMillis--">getSoftMinEvictableIdleTimeMillis</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getSoftMinEvictableIdleTimeMillis--"><code>BasicDataSource.getSoftMinEvictableIdleTimeMillis()</code></a></div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getTestOnBorrow--">getTestOnBorrow</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getTestOnBorrow--"><code>BasicDataSource.getTestOnBorrow()</code></a></div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getTestOnCreate--">getTestOnCreate</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getTestOnCreate--"><code>BasicDataSource.getTestOnCreate()</code></a></div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getTestWhileIdle--">getTestWhileIdle</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getTestWhileIdle--"><code>BasicDataSource.getTestWhileIdle()</code></a></div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getTimeBetweenEvictionRunsMillis--">getTimeBetweenEvictionRunsMillis</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getTimeBetweenEvictionRunsMillis--"><code>BasicDataSource.getTimeBetweenEvictionRunsMillis()</code></a></div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getUrl--">getUrl</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getUrl--"><code>BasicDataSource.getUrl()</code></a></div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getUsername--">getUsername</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getUsername--"><code>BasicDataSource.getUsername()</code></a></div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getValidationQuery--">getValidationQuery</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getValidationQuery--"><code>BasicDataSource.getValidationQuery()</code></a></div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#getValidationQueryTimeout--">getValidationQueryTimeout</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getValidationQueryTimeout--"><code>BasicDataSource.getValidationQueryTimeout()</code></a></div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#isAccessToUnderlyingConnectionAllowed--">isAccessToUnderlyingConnectionAllowed</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#isAccessToUnderlyingConnectionAllowed--"><code>BasicDataSource.isAccessToUnderlyingConnectionAllowed()</code></a></div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>default boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#isClearStatementPoolOnReturn--">isClearStatementPoolOnReturn</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#isClearStatementPoolOnReturn--"><code>BasicDataSource.isClearStatementPoolOnReturn()</code></a></div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#isClosed--">isClosed</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#isClosed--"><code>BasicDataSource.isClosed()</code></a></div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#isPoolPreparedStatements--">isPoolPreparedStatements</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#isPoolPreparedStatements--"><code>BasicDataSource.isPoolPreparedStatements()</code></a></div>
</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>default void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#restart--">restart</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#restart--"><code>BasicDataSource.restart()</code></a></div>
</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>default void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html#start--">start</a></span>()</code>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#start--"><code>BasicDataSource.start()</code></a></div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getAbandonedUsageTracking--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAbandonedUsageTracking</h4>
<pre>boolean&nbsp;getAbandonedUsageTracking()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getAbandonedUsageTracking--"><code>BasicDataSource.getAbandonedUsageTracking()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getAbandonedUsageTracking--"><code>BasicDataSource.getAbandonedUsageTracking()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDefaultAutoCommit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultAutoCommit</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;getDefaultAutoCommit()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultAutoCommit--"><code>BasicDataSource.getDefaultAutoCommit()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultAutoCommit--"><code>BasicDataSource.getDefaultAutoCommit()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDefaultReadOnly--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultReadOnly</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;getDefaultReadOnly()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultReadOnly--"><code>BasicDataSource.getDefaultReadOnly()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultReadOnly--"><code>BasicDataSource.getDefaultReadOnly()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDefaultTransactionIsolation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultTransactionIsolation</h4>
<pre>int&nbsp;getDefaultTransactionIsolation()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultTransactionIsolation--"><code>BasicDataSource.getDefaultTransactionIsolation()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultTransactionIsolation--"><code>BasicDataSource.getDefaultTransactionIsolation()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDefaultCatalog--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultCatalog</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDefaultCatalog()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultCatalog--"><code>BasicDataSource.getDefaultCatalog()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultCatalog--"><code>BasicDataSource.getDefaultCatalog()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDefaultSchema--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultSchema</h4>
<pre>default&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDefaultSchema()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultSchema--"><code>BasicDataSource.getDefaultSchema()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDefaultSchema--"><code>BasicDataSource.getDefaultSchema()</code></a></dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.5.0</dd>
</dl>
</li>
</ul>
<a name="getCacheState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCacheState</h4>
<pre>boolean&nbsp;getCacheState()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getCacheState--"><code>BasicDataSource.getCacheState()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getCacheState--"><code>BasicDataSource.getCacheState()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDriverClassName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDriverClassName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDriverClassName()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDriverClassName--"><code>BasicDataSource.getDriverClassName()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDriverClassName--"><code>BasicDataSource.getDriverClassName()</code></a></dd>
</dl>
</li>
</ul>
<a name="getLifo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLifo</h4>
<pre>boolean&nbsp;getLifo()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getLifo--"><code>BasicDataSource.getLifo()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getLifo--"><code>BasicDataSource.getLifo()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMaxTotal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxTotal</h4>
<pre>int&nbsp;getMaxTotal()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxTotal--"><code>BasicDataSource.getMaxTotal()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxTotal--"><code>BasicDataSource.getMaxTotal()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMaxIdle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxIdle</h4>
<pre>int&nbsp;getMaxIdle()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxIdle--"><code>BasicDataSource.getMaxIdle()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxIdle--"><code>BasicDataSource.getMaxIdle()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMinIdle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinIdle</h4>
<pre>int&nbsp;getMinIdle()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMinIdle--"><code>BasicDataSource.getMinIdle()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMinIdle--"><code>BasicDataSource.getMinIdle()</code></a></dd>
</dl>
</li>
</ul>
<a name="getInitialSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInitialSize</h4>
<pre>int&nbsp;getInitialSize()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getInitialSize--"><code>BasicDataSource.getInitialSize()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getInitialSize--"><code>BasicDataSource.getInitialSize()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMaxWaitMillis--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxWaitMillis</h4>
<pre>long&nbsp;getMaxWaitMillis()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxWaitMillis--"><code>BasicDataSource.getMaxWaitMillis()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxWaitMillis--"><code>BasicDataSource.getMaxWaitMillis()</code></a></dd>
</dl>
</li>
</ul>
<a name="isPoolPreparedStatements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPoolPreparedStatements</h4>
<pre>boolean&nbsp;isPoolPreparedStatements()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#isPoolPreparedStatements--"><code>BasicDataSource.isPoolPreparedStatements()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#isPoolPreparedStatements--"><code>BasicDataSource.isPoolPreparedStatements()</code></a></dd>
</dl>
</li>
</ul>
<a name="isClearStatementPoolOnReturn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isClearStatementPoolOnReturn</h4>
<pre>default&nbsp;boolean&nbsp;isClearStatementPoolOnReturn()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#isClearStatementPoolOnReturn--"><code>BasicDataSource.isClearStatementPoolOnReturn()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#isClearStatementPoolOnReturn--"><code>BasicDataSource.isClearStatementPoolOnReturn()</code></a></dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.8.0</dd>
</dl>
</li>
</ul>
<a name="getMaxOpenPreparedStatements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxOpenPreparedStatements</h4>
<pre>int&nbsp;getMaxOpenPreparedStatements()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxOpenPreparedStatements--"><code>BasicDataSource.getMaxOpenPreparedStatements()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxOpenPreparedStatements--"><code>BasicDataSource.getMaxOpenPreparedStatements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTestOnCreate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTestOnCreate</h4>
<pre>boolean&nbsp;getTestOnCreate()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getTestOnCreate--"><code>BasicDataSource.getTestOnCreate()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getTestOnCreate--"><code>BasicDataSource.getTestOnCreate()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTestOnBorrow--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTestOnBorrow</h4>
<pre>boolean&nbsp;getTestOnBorrow()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getTestOnBorrow--"><code>BasicDataSource.getTestOnBorrow()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getTestOnBorrow--"><code>BasicDataSource.getTestOnBorrow()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTimeBetweenEvictionRunsMillis--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimeBetweenEvictionRunsMillis</h4>
<pre>long&nbsp;getTimeBetweenEvictionRunsMillis()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getTimeBetweenEvictionRunsMillis--"><code>BasicDataSource.getTimeBetweenEvictionRunsMillis()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getTimeBetweenEvictionRunsMillis--"><code>BasicDataSource.getTimeBetweenEvictionRunsMillis()</code></a></dd>
</dl>
</li>
</ul>
<a name="getNumTestsPerEvictionRun--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumTestsPerEvictionRun</h4>
<pre>int&nbsp;getNumTestsPerEvictionRun()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getNumTestsPerEvictionRun--"><code>BasicDataSource.getNumTestsPerEvictionRun()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getNumTestsPerEvictionRun--"><code>BasicDataSource.getNumTestsPerEvictionRun()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMinEvictableIdleTimeMillis--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinEvictableIdleTimeMillis</h4>
<pre>long&nbsp;getMinEvictableIdleTimeMillis()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMinEvictableIdleTimeMillis--"><code>BasicDataSource.getMinEvictableIdleTimeMillis()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMinEvictableIdleTimeMillis--"><code>BasicDataSource.getMinEvictableIdleTimeMillis()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSoftMinEvictableIdleTimeMillis--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSoftMinEvictableIdleTimeMillis</h4>
<pre>long&nbsp;getSoftMinEvictableIdleTimeMillis()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getSoftMinEvictableIdleTimeMillis--"><code>BasicDataSource.getSoftMinEvictableIdleTimeMillis()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getSoftMinEvictableIdleTimeMillis--"><code>BasicDataSource.getSoftMinEvictableIdleTimeMillis()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTestWhileIdle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTestWhileIdle</h4>
<pre>boolean&nbsp;getTestWhileIdle()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getTestWhileIdle--"><code>BasicDataSource.getTestWhileIdle()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getTestWhileIdle--"><code>BasicDataSource.getTestWhileIdle()</code></a></dd>
</dl>
</li>
</ul>
<a name="getNumActive--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumActive</h4>
<pre>int&nbsp;getNumActive()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getNumActive--"><code>BasicDataSource.getNumActive()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getNumActive--"><code>BasicDataSource.getNumActive()</code></a></dd>
</dl>
</li>
</ul>
<a name="getNumIdle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumIdle</h4>
<pre>int&nbsp;getNumIdle()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getNumIdle--"><code>BasicDataSource.getNumIdle()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getNumIdle--"><code>BasicDataSource.getNumIdle()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPassword--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassword</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPassword()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getPassword--"><code>BasicDataSource.getPassword()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getPassword--"><code>BasicDataSource.getPassword()</code></a></dd>
</dl>
</li>
</ul>
<a name="getUrl--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUrl</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUrl()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getUrl--"><code>BasicDataSource.getUrl()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getUrl--"><code>BasicDataSource.getUrl()</code></a></dd>
</dl>
</li>
</ul>
<a name="getUsername--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUsername</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUsername()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getUsername--"><code>BasicDataSource.getUsername()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getUsername--"><code>BasicDataSource.getUsername()</code></a></dd>
</dl>
</li>
</ul>
<a name="getValidationQuery--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValidationQuery</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getValidationQuery()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getValidationQuery--"><code>BasicDataSource.getValidationQuery()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getValidationQuery--"><code>BasicDataSource.getValidationQuery()</code></a></dd>
</dl>
</li>
</ul>
<a name="getValidationQueryTimeout--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValidationQueryTimeout</h4>
<pre>int&nbsp;getValidationQueryTimeout()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getValidationQueryTimeout--"><code>BasicDataSource.getValidationQueryTimeout()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getValidationQueryTimeout--"><code>BasicDataSource.getValidationQueryTimeout()</code></a></dd>
</dl>
</li>
</ul>
<a name="getConnectionInitSqlsAsArray--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectionInitSqlsAsArray</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;getConnectionInitSqlsAsArray()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getConnectionInitSqlsAsArray--"><code>BasicDataSource.getConnectionInitSqlsAsArray()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getConnectionInitSqlsAsArray--"><code>BasicDataSource.getConnectionInitSqlsAsArray()</code></a></dd>
</dl>
</li>
</ul>
<a name="isAccessToUnderlyingConnectionAllowed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAccessToUnderlyingConnectionAllowed</h4>
<pre>boolean&nbsp;isAccessToUnderlyingConnectionAllowed()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#isAccessToUnderlyingConnectionAllowed--"><code>BasicDataSource.isAccessToUnderlyingConnectionAllowed()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#isAccessToUnderlyingConnectionAllowed--"><code>BasicDataSource.isAccessToUnderlyingConnectionAllowed()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMaxConnLifetimeMillis--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxConnLifetimeMillis</h4>
<pre>long&nbsp;getMaxConnLifetimeMillis()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxConnLifetimeMillis--"><code>BasicDataSource.getMaxConnLifetimeMillis()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getMaxConnLifetimeMillis--"><code>BasicDataSource.getMaxConnLifetimeMillis()</code></a></dd>
</dl>
</li>
</ul>
<a name="getLogExpiredConnections--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLogExpiredConnections</h4>
<pre>boolean&nbsp;getLogExpiredConnections()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getLogExpiredConnections--"><code>BasicDataSource.getLogExpiredConnections()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getLogExpiredConnections--"><code>BasicDataSource.getLogExpiredConnections()</code></a></dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.1</dd>
</dl>
</li>
</ul>
<a name="getRemoveAbandonedOnBorrow--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRemoveAbandonedOnBorrow</h4>
<pre>boolean&nbsp;getRemoveAbandonedOnBorrow()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getRemoveAbandonedOnBorrow--"><code>BasicDataSource.getRemoveAbandonedOnBorrow()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getRemoveAbandonedOnBorrow--"><code>BasicDataSource.getRemoveAbandonedOnBorrow()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRemoveAbandonedOnMaintenance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRemoveAbandonedOnMaintenance</h4>
<pre>boolean&nbsp;getRemoveAbandonedOnMaintenance()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getRemoveAbandonedOnMaintenance--"><code>BasicDataSource.getRemoveAbandonedOnMaintenance()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getRemoveAbandonedOnMaintenance--"><code>BasicDataSource.getRemoveAbandonedOnMaintenance()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRemoveAbandonedTimeout--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRemoveAbandonedTimeout</h4>
<pre>int&nbsp;getRemoveAbandonedTimeout()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getRemoveAbandonedTimeout--"><code>BasicDataSource.getRemoveAbandonedTimeout()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getRemoveAbandonedTimeout--"><code>BasicDataSource.getRemoveAbandonedTimeout()</code></a></dd>
</dl>
</li>
</ul>
<a name="getLogAbandoned--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLogAbandoned</h4>
<pre>boolean&nbsp;getLogAbandoned()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getLogAbandoned--"><code>BasicDataSource.getLogAbandoned()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getLogAbandoned--"><code>BasicDataSource.getLogAbandoned()</code></a></dd>
</dl>
</li>
</ul>
<a name="isClosed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isClosed</h4>
<pre>boolean&nbsp;isClosed()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#isClosed--"><code>BasicDataSource.isClosed()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#isClosed--"><code>BasicDataSource.isClosed()</code></a></dd>
</dl>
</li>
</ul>
<a name="getFastFailValidation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFastFailValidation</h4>
<pre>boolean&nbsp;getFastFailValidation()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getFastFailValidation--"><code>BasicDataSource.getFastFailValidation()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getFastFailValidation--"><code>BasicDataSource.getFastFailValidation()</code></a></dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.1</dd>
</dl>
</li>
</ul>
<a name="getDisconnectionSqlCodesAsArray--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDisconnectionSqlCodesAsArray</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;getDisconnectionSqlCodesAsArray()</pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDisconnectionSqlCodesAsArray--"><code>BasicDataSource.getDisconnectionSqlCodesAsArray()</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#getDisconnectionSqlCodesAsArray--"><code>BasicDataSource.getDisconnectionSqlCodesAsArray()</code></a></dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.1</dd>
</dl>
</li>
</ul>
<a name="start--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>start</h4>
<pre>default&nbsp;void&nbsp;start()
            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#start--"><code>BasicDataSource.start()</code></a></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if an error occurs initializing the datasource</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.8.0</dd>
</dl>
</li>
</ul>
<a name="restart--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>restart</h4>
<pre>default&nbsp;void&nbsp;restart()
              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">See <a href="../../../../org/apache/commons/dbcp2/BasicDataSource.html#restart--"><code>BasicDataSource.restart()</code></a></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if an error occurs initializing the datasource</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.8.0</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BasicDataSourceMXBean.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/dbcp2/BasicDataSourceFactory.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/dbcp2/BasicDataSourceMXBean.html" target="_top">Frames</a></li>
<li><a href="BasicDataSourceMXBean.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
